package cn.novalon.manage.db.entity;

import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

/**
 * 权限数据库实体类
 * 
 * @author 张翔
 * @date 2026-03-25
 */
@Table("sys_permission")
public class SysPermissionEntity extends BaseEntity {

    @Column("permission_name")
    private String permissionName;

    @Column("permission_code")
    private String permissionCode;

    @Column("resource")
    private String resource;

    @Column("action")
    private String action;

    @Column("description")
    private String description;

    @Column("status")
    private Integer status;

    public String getPermissionName() {
        return permissionName;
    }

    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName;
    }

    public String getPermissionCode() {
        return permissionCode;
    }

    public void setPermissionCode(String permissionCode) {
        this.permissionCode = permissionCode;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}